Subject: bug#66679: automake: error: undefined condition 'TRUE' for 'info_TEXINFOS'

From: Karl Berry <[email-masked]>
Date: Sun, 22 Oct 2023 15:28:33 -0600

automake: Please contact <[email-masked]>.
     at /opt/local/share/automake-1.16/Automake/Channels.pm line 655.
        Automake::Channels::msg("automake", "", "undefined condition

Thanks for the report. I (or someone else ... Bogdan?) will look into it
as soon as we have a chance.

Looking at the backtrace, I guess you have subdirectories.
Could you send or point me to a snapshot of your whole tree?
I fear the Makefile.am on its own won't be enough to reproduce.

    In my attached `Makefile.am`, I have been trying to modify it so that
    it only rebuilds the documentation when explicitly asked to.
    Otherwise, the distributed copy should just get used instead. 

I wish I had some idea for you, but I just don't. Maybe someone else
here can advise better. --thanks again, karl.